Skip to navigation

Post Locations

View as Markdown

Authentication

AuthorizationBearer

OAuth 2.0 Client Credentials Flow. To obtain an access token:

  1. Request API credentials from HINDSITE support to receive your client_id and client_secret

  2. Make a POST request to obtain an access token:

POST https://app.hindsiteind.com/oauth/token
Content-Type: application/x-www-form-urlencoded

grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET
  1. The response will contain your access token:
{
  "access_token": "your_access_token_here",
  "token_type": "Bearer",
  "expires_in": 7200,
  "created_at": 1234567890
}
  1. Include the token in subsequent API requests:
Authorization: Bearer your_access_token_here

Request

This endpoint expects an object.
namestringRequired
addressstringOptional
company_idstringOptional
external_idstringOptional
timezonestringOptional
custom_fieldslist of objectsOptional

When sent, the returned location includes custom_fields.

Response

created Location
idstringOptional
ULID
namestringOptional
addressstringOptional
company_idstringOptional
ULID
company_namestringOptional
archivedbooleanOptional
external_idstringOptional
custom_fieldslist of objectsOptional
can_managebooleanOptional
created_atlongOptional

Unix timestamp (seconds since epoch) when the record was created

updated_atlongOptional

Unix timestamp (seconds since epoch) when the record was last updated